> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Jobs Route



## OpenAPI

````yaml /api/openapi.json get /api/jobs
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/jobs:
    get:
      tags:
        - jobs
      summary: List Jobs Route
      operationId: list_jobs_route_api_jobs_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 50
            title: Limit
        - name: live
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Live
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobsListOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JobsListOut:
      properties:
        total:
          type: integer
          title: Total
        jobs:
          items:
            $ref: '#/components/schemas/JobSummary'
          type: array
          title: Jobs
        last_polled_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Polled At
        active_known:
          type: boolean
          title: Active Known
          default: false
      type: object
      required:
        - total
        - jobs
      title: JobsListOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JobSummary:
      properties:
        jid:
          type: string
          title: Jid
        function:
          type: string
          title: Function
        target:
          type: string
          title: Target
        target_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Type
        user:
          anyOf:
            - type: string
            - type: 'null'
          title: User
        start_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Start Time
        status:
          type: string
          enum:
            - running
            - complete
          title: Status
          default: complete
      type: object
      required:
        - jid
        - function
        - target
      title: JobSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````